if(!app.activeDocument.saved){
    var win = new Window('dialog', 'ERROR: Unsaved document');
    win.orientation = 'column';

    with(win){
        win.header = add('statictext', undefined, 'You need to save your document (give it a name) before exporting to PDF');
        win.button = add('button', undefined, 'OK');
    };
    win.show();
    exit();
}

var pagesCount = app.activeDocument.pages.length;
var alternativeLayout = []; // arrays with alternative layouts names
var filePath = app.activeDocument.fullName.fsName;
var fileNameWithPath = filePath.replace(/.indd/, ""); // remove indesign .indd extenstion, as we don't need it

var alternativeLayout = app.activeDocument.sections.everyItem().alternateLayout;


// CORE of the script from here: http://indisnip.wordpress.com/2010/08/02/simple-pdf-export-with-preset-selection/
var presets = app.pdfExportPresets.everyItem().name;
presets.unshift("- Select PDF Preset -");

var win = new Window('dialog', 'PDF Export Presets');
win.orientation = 'row';

with(win){
    win.header = add('statictext', undefined, 'Select PDF Export preset:');
    win.PDFExport = add('dropdownlist',undefined,undefined,{items:presets});
    win.PDFExport.selection = 0;
    win.button = add('button', undefined, 'OK');
};

win.center();

var window = win.show();

if(window == true && win.PDFExport.selection.index != 0){
    preset = app.pdfExportPresets.item(String(win.PDFExport.selection));

    for(var alt = 0; alt < alternativeLayout.length; alt++){
        app.pdfExportPreferences.pageRange = alternativeLayout[alt];
        app.activeDocument.exportFile(ExportFormat.PDF_TYPE, (new File(fileNameWithPath + "_" + alternativeLayout[alt] + ".pdf")), false, preset);
    }
} else {
    var win = new Window('dialog', 'ERROR: No PDF Preset selected');
    win.orientation = 'column';

    with(win){
    win.header = add('statictext', undefined, 'You need to select PDF Preset before exporting to PDF');
    win.button = add('button', undefined, 'OK');
    };

    win.show();
    exit();
}